/******************************************************************************
**
** Authors : Edwin Chan (with help from MFC)
** Date    : 20-Nov-01
** Filename: CmdTool.h 
** Purpose : interface for the CCmdTool class
**
** History:
** 20-Nov-01 Edwin Chan
**     File Created
** 26-Nov-01 Edwin Chan
**     Added new method OnEditProperties
******************************************************************************/

#if !defined(AFX_CMDTOOL_H__AE497570_11AC_40A9_9A9B_97EB52671CDB__INCLUDED_)
#define AFX_CMDTOOL_H__AE497570_11AC_40A9_9A9B_97EB52671CDB__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CConGraTView;

class CCmdTool  
{
public:
    CCmdTool();
    virtual ~CCmdTool();

	virtual void OnEditProperties(CConGraTView *pView);
    virtual void OnLButtonDown(CConGraTView* pView, UINT nFlags, const CPoint& point);
    virtual void OnLButtonUp(CConGraTView* pView, UINT nFlags, const CPoint& point);
    virtual void OnMouseMove(CConGraTView* pView, UINT nFlags, const CPoint& point);
    virtual void OnCancel();

    // attributes
	CPoint m_FirstPoint;
    CPoint m_LastPoint;
};

#endif // !defined(AFX_CMDTOOL_H__AE497570_11AC_40A9_9A9B_97EB52671CDB__INCLUDED_)




